import QtQuick 2.12
import QtQuick.Controls 2.5

ApplicationWindow {
    id: root
    visible: true
    width: 640
    height: 480
    //flags: Qt.Dialog
    title: qsTr("SmartHome")

    property var is_login: 0

    StackView {
        id: stackView
        anchors.fill: parent
        initialItem: loginCodePage
    }


    Component {
        id: loginCodePage

        LoginPage {
            id: loginPage
            visible: true

            onSendLogin: {
                is_login = database.checkLogin(login, password)
                if (is_login == 1){
                    stackView.push("Home.qml")
                }else{
                    console.log("Ошибка Логина!")
                }
            }
        }
    }
}
